schema: agent-buildprint/acceptance.v3
canonical_start: BUILDPRINT.md
acceptance:
  safety:
    source_mutation: forbidden
    secret_values: never_copy
    env_var_names: allowed
  default_output:
    must_create_only:
      - discovery
      - evidence
      - quality
    must_not_create:
      - root implementation scaffold
      - selected-buildprint without scope decision
  selected_output:
    current_executable_packet:
      required_root:
        - BUILDPRINT.md
        - 01-questions.md
        - 02-project-setup.md
        - blueprint.yaml
        - 03-phases/phase-index.yaml
        - 04-evaluation.md
        - 05-evidence/evidence-ledger.schema.json
        - 05-evidence/evidence-ledger.jsonl
        - generated/agent-prompt.md
      required_phase_sections:
        - Build target
        - Interfaces touched
        - State/runtime touched
        - UX/UI requirements
        - Safety/security constraints
        - Implementation loop
        - Proof gate
        - Repair routing
      generated_prompt_policy: generated_from_blueprint_not_authority
      production_grade_default: required
      production_readiness_contract: required
      missing_credentials_block_live_proof_only: required
      provider_adapter_config_test_required: required
      repeatable_browser_e2e_required_for_ui: required
      promotion_source: runtime_evidence_ledger
      runtime_evidence_ledger: .buildprint/evidence/evidence-ledger.jsonl
      packaged_evidence_ledger: immutable_seed_only
      execution_authority_model: required
      delegation_handoff_protocol: required
      root_agents_md_policy: scope_governor_not_product_brain
    obsolete_packet_shapes:
      status: forbidden
      forbidden_packet_paths:
        - START_HERE.md
        - PRE_IMPLEMENTATION_QUESTIONS.md
        - AGENTS.md
        - 03-capabilities/
        - 04-interfaces/
        - 05-state-runtime/
        - 06-safety/
        - 08-evaluation/
        - 09-evidence/
        - CAPABILITY_INDEX.md
        - CONTEXT_PACKET.json
        - SOURCE_SURFACE_COVERAGE.md
        - TEAM_STACK.md
        - UX_CONTRACT.md
        - DESIGN_QUALITY_BAR.md
        - CURRENT_STATE.md
        - EXECUTION_PROTOCOL.md
        - IMPLEMENTATION_PLAN.md
        - manifest.json
        - 02-context/active-slice.yaml
        - 07-execution/phases/
        - capabilities/
        - generated/current-buildprint-compat/
      forbidden_fragmented_capability_files:
        - capability.yaml
        - source-evidence.md
        - product-contract.md
        - implementation-workflow.md
        - proof-contract.yaml
      forbidden_root_files:
        - AGENT_EXECUTION_BRIEF.md
        - agent-contract.xml
        - TEST_MATRIX.md
        - TRACEABILITY_MATRIX.md
        - IMPLEMENTATION_COMPLETENESS.md
        - PHASE_PLAN.md
        - LOOP_GATES.md
    forbidden_typo_aliases:
      - VERFICATION.md
      - IMPLEMENATION.md
      - CAPABILTY_INDEX.md
    forbidden_duplicate_spine_sets:
      - [HANDOFF.md, HANDOVER.md]
  static_gates:
    - discover first and ask later
    - no broad pre-discovery questionnaire
    - census hints are not product facts
    - every OBSERVED claim cites source evidence
    - selected scope explicit before selected extraction
    - source surface census exists before selected extraction
    - high-signal source surfaces have selected-output dispositions
    - multi-phase selected output defines orchestrator handoff protocol
    - capability packets declare owned source surface IDs where mapped from source
    - source surface ownership connects to product obligations, blockers, intentional merges, or explicit exclusions
    - no route/function parity requirement
    - no route/function dump accepted as behavior discovery
    - capability-packet status classification complete
    - selected output has no typo alias files
    - selected output has exactly one canonical handoff artifact
    - no mocks or fixtures counted as product implementation
    - production architecture is default for full-suite executable packets
    - missing credentials block live proof only after adapters config tests and runtime wiring exist
    - phase ids match phase file basenames
    - multi-phase dependencies model workflow order
    - qualification label is DISCOVERY_ONLY, PROOF_REQUIRED, or QUALIFIED_SOURCE_INDEPENDENT
  required_reviews:
    - name: mapper_fixture_review
      command: manual or agent-based review of buildprints/buildprint-mapper-os/evals/golden-projects/
      required_when: mapper behavior, templates, or policies change
